%define oname   bluecloth

Name:       ruby-BlueCloth
Version:    2.2.0
Release:    %mkrel 27
Summary:    A Ruby implementation of Markdown
Group:      Development/Ruby
License:    GPLv2+
URL:        https://deveiate.org/projects/BlueCloth
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems 
BuildRequires: pkgconfig(ruby)

%description
BlueCloth is a Ruby implementation of Markdown, a text-to-HTML conversion
tool for web writers. Markdown allows you to write using an easy-to-read,
easy-to-write plain text format, then convert it to structurally valid XHTML
(or HTML).

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext

sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/bluecloth.rb

%files
%{gem_instdir}/
%{_bindir}/%{oname}
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}
%doc History.rdoc Manifest.txt README.rdoc


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.2.0-27.mga10
+ Revision: 2235276
- Mageia 10 Mass Rebuild

* Sun Feb 02 2025 pterjan <pterjan> 2.2.0-26.mga10
+ Revision: 2144424
- Rebuild for Ruby 3.4

* Wed Dec 04 2024 pterjan <pterjan> 2.2.0-25.mga10
+ Revision: 2120959
- Rebuild for Ruby 3.3

* Fri Mar 25 2022 umeabot <umeabot> 2.2.0-24.mga9
+ Revision: 1827091
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 2.2.0-23.mga9
+ Revision: 1784572
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 2.2.0-22.mga8
+ Revision: 1553150
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 2.2.0-21.mga8
+ Revision: 1516639
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.2.0-20.mga7
+ Revision: 1300874
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 2.2.0-19.mga7
+ Revision: 1188469
- Rebuild for Ruby 2.5

* Tue Aug 15 2017 pterjan <pterjan> 2.2.0-18.mga7
+ Revision: 1140823
- Rebuild for new Ruby
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 01 2015 spuhler <spuhler> 2.2.0-16.mga6
+ Revision: 907571
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-15.mga5
+ Revision: 740661
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-14.mga5
+ Revision: 688738
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.2.0-13.mga4
+ Revision: 562829
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 2.2.0-12.mga4
+ Revision: 561009
- 'Fix gem macros'

* Sat Dec 21 2013 pterjan <pterjan> 2.2.0-11.mga4
+ Revision: 559633
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 2.2.0-10.mga4
+ Revision: 535276
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.2.0-9.mga4
+ Revision: 481844
- Rebuild for Ruby 2
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 09 2013 pterjan <pterjan> 2.2.0-7.mga4
+ Revision: 476726
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 2.2.0-6.mga3
+ Revision: 395699
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.2.0-5.mga3
+ Revision: 380598
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 2.2.0-4.mga3
+ Revision: 312530
- update file list
- rebuild for new ruby

* Fri Jun 08 2012 shlomif <shlomif> 2.2.0-3.mga3
+ Revision: 257742
- Add a BR on ruby-devel
- New version - 2.2.0

* Thu Jan 27 2011 shikamaru <shikamaru> 1.0.1-3.mga1
+ Revision: 41547
- imported package ruby-BlueCloth


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.1-3mdv2011.0
- Initial package

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2011.0
+ Revision: 614769
- the mass rebuild of 2010.1 packages

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 500478
- import rubygem-BlueCloth


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.1-1
- initial release
